美国 CISA 披露 Citrix 虚拟机存在 DoS 漏洞

sugar 2021-04-01
专栏 - 资讯 发布于 2021-04-01 16:44:28 阅读 264 评论 0

Citrix解决了Hypervisor中的漏洞,威胁参与者可能利用这些漏洞在虚拟机中执行代码,从而触发主机上的拒绝服务条件。

美国CISA警告Citrix已发布安全更新,以解决Hypervisor中的漏洞,威胁行为者可能利用这些漏洞在虚拟机中执行代码以触发主机上的拒绝服务条件。

Citrix虚拟机管理程序(XenServer)是一款高性能虚拟机管理程序,它基于Xen Project虚拟机管理程序,针对虚拟应用程序和桌面工作负载进行了优化。

Citrix发布了安全更新,以解决Hypervisor(以前称为XenServer)中的漏洞。攻击者可能利用其中的一些漏洞导致拒绝服务状况。” 阅读CISA发布的建议。

“ CISA鼓励用户和管理员查看Citrix安全更新CTX306565并应用必要的更新。”

跟踪为CVE-2021-28038和CVE-2021-28688的两个漏洞可能被滥用以导致主机崩溃或变得无响应。攻击者必须能够在客户机虚拟机中执行特权代码。

“在Citrix Hypervisor(以前称为Citrix XenServer)中发现了两个安全问题,它们可能允许来宾VM中的特权代码导致主机崩溃或无响应。” 读取咨询由Citrix发布。

“这些问题会影响到所有当前受支持的Citrix Hypervisor版本,包括Citrix Hypervisor 8.2 LTSR,甚至包括Citrix Hypervisor 8.2 LTSR。”

在CVE-2021-28038漏洞是一个不受控制的资源消耗问题,它可以通过在客人执行特权模式的代码可以执行针对主机服务拒绝攻击能力的攻击者所利用。

“通过Xen PV使用的5.11.3在Linux内核中发现了一个问题。netback驱动程序的某些部分缺少对错误的必要处理,例如错误的内存分配(由于更改了授权映射错误)。在网络前端驱动程序的不当行为中,可能会发生主机操作系统拒绝服务的情况。” 阅读安全公告。*

该漏洞是由对CVE-2021-26931的不完整修复引起的。

在CVE-2021-28688漏洞也是不可控的资源消耗问题是影响,包括对CVE-2021-26930(修复所有的Linux版本XSA-365)。

“恶意或错误的前端驱动程序可能会导致资源从相应的后端驱动程序泄漏。这可能导致整个主机范围内的拒绝服务(DoS)。” 阅读该咨询报告。

Citrix还修复了另一个跟踪CVE-2020-35498的问题,该问题仅影响Hypervisor 8.2 LTSR,并可能导致恶意网络通信,从而导致后续数据包被丢弃。

本作品采用《CC 协议》,转载必须注明作者和本文链接
讨论数量: 0
(= ̄ω ̄=)··· 暂无内容!
请勿发布不友善或者负能量的内容。与人为善,比聪明更重要!